Subject: Re: Mis-backport in af_unix patch for Linux 3.10.95

From: Greg KH <[email-masked]>
Date: Sun, 24 Jan 2016 13:40:59 -0800

On Sun, Jan 24, 2016 at 11:16:25AM -0500, Sultan Qasim wrote:
> Hello,
> 
> Thank you very much for the warm welcome :-)
> 
> You're right, the noblock variable is used elsewhere in the stream
> receive function, so nothing is needed there after the interruptible
> logic is restored for the dgram function.
> 
> Your patch looks good to me. I had picked the Linux 3.12.52 version of
> the patch (where the interruptible locking was removed from the right
> place in the stream receive function) onto my 3.10 kernel branch a
> couple weeks ago and it has been working fine for me.

Great, thanks for reviewing and letting us know about this, I've queued
Willy's patch up now for inclusion in the next 3.10-stable release.

greg k-h